mysqli_stmt::prepare
mysqli_stmt::result_metadata
MySQLi_STMT
PHP Manual

# mysqli_stmt::reset

# mysqli_stmt_reset

(PHP 5)

mysqli_stmt::reset -- mysqli_stmt_reset — Resets a prepared statement

### Description

Object oriented style (method):

bool mysqli_stmt::reset ( void )

Procedural style:

bool mysqli_stmt_reset ( mysqli_stmt `$stmt` )

Resets a prepared statement on client and server to state after prepare.

For now this is mainly used to reset data sent with mysqli_stmt_send_long_data().

To prepare a statement with another query use function mysqli_stmt_prepare().

### Parameters

`stmt`

  Procedural style only: A statement identifier returned by mysqli_stmt_init().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- mysqli_prepare()

mysqli_stmt::prepare
mysqli_stmt::result_metadata
MySQLi_STMT
PHP Manual